Subject: Re: The imporantance of including http credential caching in 1.7.7

From: Ted Zlatanov <[email-masked]>
Date: Fri, 9 Sep 2011 08:31:20 -0500

On Fri, 9 Sep 2011 06:32:25 -0400 John Szakmeister <[email-masked]> wrote: 

JS> [Added back some of the CC's]
JS> Ted: we don't usually cull the CC list on the git mailing list.

Sorry, I followed up via GMane (a NNTP interface to the mailing list).
I'll use `r'eply instead of `f'ollowup.

I actually set

Mail-Copies-To: never
Gmane-Reply-To-List: yes

because I hate getting CC'd on discussions I already follow via GMane.
But that's just my preference :)

JS> 2011/9/9 Ted Zlatanov <[email-masked]>:
JS> [snip]
MJG> ... and one for Git on Windows? It seems we're lacking both Win and OS X
MJG> developers here.
>> 
>> Windows doesn't have a standard keychain service, does it?

JS> No, it doesn't, but you can use the wincrypt API which allows you to
JS> at least encrypt the password from the user's login credentials.  In
JS> particular, CryptProtectData() and CryptUnprotectData().  That way you
JS> can at least have the password stored encrypted on disk.

I don't think that's sufficient but could be wrong.

Ted